ulams liascript
Generated from front/cli (ulams schema)
ulams liascript create
Section titled “ulams liascript create”Create from Markdown, an .md file or a .zip (Markdown + assets).
Kind: write. Stability: stable. MCP tool: liascript_create. Scopes: courses:write.
Endpoints: POST /api/admin/liascript.
| Flag | Type | Required | Description |
|---|---|---|---|
--file |
string | file (path of a local file) | |
--markdown |
string | ||
--title |
string |
# Create from Markdown, an .md file or a .zip (Markdown + assets)ulams liascript create --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "file": { "type": "string", "description": "file (path of a local file)" }, "markdown": { "type": "string" }, "title": { "type": "string" } }, "additionalProperties": {}}ulams liascript delete
Section titled “ulams liascript delete”Delete a LiaScript source with all versions and assets.
Kind: destructive (idempotent). Stability: stable. MCP tool: liascript_delete. Scopes: courses:write.
Endpoints: DELETE /api/admin/liascript/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes |
# Delete a LiaScript source with all versions and assetsulams liascript delete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}ulams liascript get
Section titled “ulams liascript get”Show a LiaScript source.
Kind: read (idempotent). Stability: stable. MCP tool: liascript_get. Scopes: courses:read.
Endpoints: GET /api/admin/liascript/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes |
# Show a LiaScript sourceulams liascript get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}ulams liascript list
Section titled “ulams liascript list”List LiaScript sources.
Kind: read (idempotent). Stability: stable. MCP tool: liascript_list. Scopes: courses:read.
Endpoints: GET /api/admin/liascript.
# List LiaScript sourcesulams liascript list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams liascript preview
Section titled “ulams liascript preview”Live preview of unsaved Markdown on the tenant content origin.
Kind: write. Stability: stable. MCP tool: liascript_preview. Scopes: courses:write.
Endpoints: POST /api/admin/liascript/{id}/preview.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--markdown |
string | yes |
# Live preview of unsaved Markdown on the tenant content originulams liascript preview 1 --markdown text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "markdown": { "type": "string" } }, "required": [ "id", "markdown" ], "additionalProperties": {}}ulams liascript source
Section titled “ulams liascript source”Markdown of the current or a given version.
Kind: read (idempotent). Stability: stable. MCP tool: liascript_source. Scopes: courses:read.
Endpoints: GET /api/admin/liascript/{id}/source.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--version |
integer | ||
--out |
string | Write the download to this path (- for stdout) |
# Markdown of the current or a given versionulams liascript source 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "version": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "out": { "description": "Write the download to this path (- for stdout)", "type": "string" } }, "required": [ "id" ], "additionalProperties": {}}ulams liascript update
Section titled “ulams liascript update”Rename a LiaScript source.
Kind: write (idempotent). Stability: stable. MCP tool: liascript_update. Scopes: courses:write.
Endpoints: PUT /api/admin/liascript/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--body |
unknown | Request body (JSON) |
# Rename a LiaScript sourceulams liascript update 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "body": { "description": "Request body (JSON)" } }, "required": [ "id" ], "additionalProperties": {}}ulams liascript versions-add
Section titled “ulams liascript versions-add”Add a version from Markdown or an upload.
Kind: write. Stability: stable. MCP tool: liascript_versions_add. Scopes: courses:write.
Endpoints: POST /api/admin/liascript/{id}/versions.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--body |
unknown | Request body (JSON) |
# Add a version from Markdown or an uploadulams liascript versions-add 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "body": { "description": "Request body (JSON)" } }, "required": [ "id" ], "additionalProperties": {}}ulams liascript versions-list
Section titled “ulams liascript versions-list”List versions.
Kind: read (idempotent). Stability: stable. MCP tool: liascript_versions_list. Scopes: courses:read.
Endpoints: GET /api/admin/liascript/{id}/versions.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes |
# List versionsulams liascript versions-list 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}ulams liascript versions-restore
Section titled “ulams liascript versions-restore”Restore a version (adds a new version with its content).
Kind: write. Stability: stable. MCP tool: liascript_versions_restore. Scopes: courses:write.
Endpoints: POST /api/admin/liascript/{id}/versions/{version}/restore.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--version (positional) |
integer | yes | |
--body |
unknown | Request body (JSON) |
# Restore a version (adds a new version with its content)ulams liascript versions-restore 1 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "version": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "body": { "description": "Request body (JSON)" } }, "required": [ "id", "version" ], "additionalProperties": {}}